package eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.common;

import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.IRestriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.Restriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.RestrictionData;

public class MaximalPlayeramountGameRestriction implements IRestriction {
    private int max;

    public MaximalPlayeramountGameRestriction(int max) {
        this.max = max;
    }

    @Override
    public Restriction calculate(RestrictionData data) {
        return new Restriction(
                "Minimal players needed",
                "Minimal players",
                null,
                data.getRoom().getAllMembers().size() > this.max ? Restriction.Type.FAIL : Restriction.Type.OK
        );
    }
}
