package eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.common;

import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.IRestriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.Restriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.RestrictionData;

public class MinimalPlayeramountInstanceRestriction implements IRestriction {
    final int min;

    public MinimalPlayeramountInstanceRestriction(int min) {
        this.min = min;
    }

    @Override
    public Restriction calculate(RestrictionData data) {
        return new Restriction(
                "Minimal players",
                "Minimal amount of players needed",
                null,
                data.getRoom().getPlayers().size() < min ? Restriction.Type.FAIL : Restriction.Type.OK
        );
    }
}
